Support » Alpha/Beta/RC » admin localized variable

Viewing 4 replies - 1 through 4 (of 4 total)
  • Is the admin localized variables will not work in WordPress 5.5?

    It’s not a functionality change. It’s a methodology change.
    The result of the change is that there will no longer be some global PHP variables that contain the translations.The translations are now loaded from Javascript instead of PHP.
    It is inaccurate to say “admin localized variables will not work”, because variables don’t do work. Code can still refer to the variable, but it will be undefined.

    Hello @joyously,

    Thank you for your reply.

    I checked in detail and found that wp_localize_script() with the ‘jquery’ handle is not working more with WordPress 5.5.

    Can you please explain any changes related to the js in 5.5?

    Looking forward to hearing from you.

    You might be confusing two separate changes.
    One is the wp_localize_script calls that were removed (and now handled in JS).
    The other is the removal of the jquery-migrate script, in preparation for the upgrade of jquery from 1.12.x to 3.x which will happen in WP 5.6.

    Moderator Ipstenu (Mika Epstein)

    (@ipstenu)

    πŸ³οΈβ€πŸŒˆ Plugin Review Team Rep

    As is this is a dev question and not an issue with 5.5 being broken, I’m flagging this resolved.

    In general we only use alpha/beta to report bugs or issues with the beta version. Marking this resolved means that developers know their assistance is not required here.

    If you have further questions, please post them in https://make.wordpress.org/core/2020/08/05/more-support-for-javascript-i18n-in-wordpress-5-5/ rather than here.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘admin localized variable’ is closed to new replies.